node package manager


A web framework's framework for Node.js

Born to build better enterprise frameworks and apps

$ npm install egg --save

Node.js >= 4.0.0 required, check document for installation.

  • ✔︎ Build-in process management
  • ✔︎ Plugin system
  • ✔︎ Framework customization
  • ✔︎ Lots of plugins

Follow the step

$ npm install egg-init -g
$ egg-init --type simple showcase && cd showcase
$ npm install
$ npm run dev
$ open http://localhost:7001

Please let us know what we can help, check issues for bug reporting and suggestion.

If you are a contributor, follow CONTRIBUTING.

If you are a member of egg, follow MEMBER_GUIDE.